
function setSubmissionDate()
{
    var dte = new Date();
    var subDate = pad((dte.getMonth()+1))+'/'+pad(dte.getDate())+'/'+dte.getFullYear()+' at '+pad(dte.getHours())+':'+pad(dte.getMinutes());
    document.getElementById('oSubmitDate').innerHTML = subDate;
}
function getRadioCheckedValue(radioName) 
{
	var oRadio = document.getElementsByName(radioName);
	for(var i = 0; i < oRadio.length; i++) 
	{
		if(oRadio[i].checked) {
			return oRadio[i].value;
		}
	}
	return '';
} 

function setRadioCheckedValue(radioName, targetValue) 
{
	var oRadio = document.getElementsByName(radioName);
    //get the form reference
    var f = hyf.FMAction.getFormValidator().getForm();
 
    //find the radio array
    var arr = f[radioName];
 
    //loop through each radio button
    for (var i = 0; i < arr.length; ++i)
    {
        //if it is selected, then remove this setting
        if (arr[i].value == targetValue) {
            arr[i].checked = true;
        } else  {
			arr[i].checked = false;
        }
    }
} 

function pad(num)  //pad with leading zero if needed
{
    if (isNaN(num))
        return '0';
    if (num < 10)
        paddedNum = '0' + num;
    else
        paddedNum = num;
        
    return paddedNum;
}

function prevPage()
{
	var curPage = document.getElementById('currentPage').value;
	var curSect = document.getElementById('currentSection').value;

	if (curPage > 1)
		setTarget(curSect, parseInt(curPage) - 1);
	else {
		switch(curSect)
		{
			case 'App':
				setTarget('Main', 4);
				break;
			case 'SUPO':
				setTarget('DP', 1);
				break;
			case 'DP':
				setTarget('App', 1);
				break;
		}
	}
	sectionChange();
}

function nextPage()
{
	var curPage = document.getElementById('currentPage').value;
	var curSect = document.getElementById('currentSection').value;

	switch(curSect)
	{
		case 'App':
			if (curPage > 2)
				setTarget('DP', 1);
			else
				setTarget(curSect, parseInt(curPage) + 1);
			break;
		case 'SUPO':
			if (curPage > 11)
				setTarget('Main', 1);
			else
				setTarget(curSect, parseInt(curPage) + 1);
			break;
		case 'DP':
			if (curPage > 7)
				setTarget('SUPO', 1);
			else
				setTarget(curSect, parseInt(curPage) + 1);
			break;
	}
	sectionChange();
}

function setTarget(sectionName, pageNum)
{
	document.getElementById('targetSection').value = sectionName;
	document.getElementById('targetPage').value = pageNum;
}

function setCurrPage(sectName, pageNum)
{
	document.getElementById('currentPage').value = pageNum;
	document.getElementById('currentSection').value = sectName;
}


//function to manage page changes.  Save current page data then display target page
function sectionChange()
{
	//hyf.util.showComponent(document.getElementById('ppg_Saving'));
	var curPage = document.getElementById('currentPage').value;
	var curSect = document.getElementById('currentSection').value;
	var targetPage = document.getElementById('targetPage').value;
	var targetSect = document.getElementById('targetSection').value;

	var pctComplete = validatePage(curSect, curPage);
		
	adjustNavBar(curSect, curPage, pctComplete);

    var evt = window.event;
    var sourceComponent = null;
    if ((evt != null) && (typeof(evt) != 'undefined'))
    {
        sourceComponent = (evt.target) ? evt.target : evt.srcElement;
        if (sourceComponent.nodeType == 3) // defeat Safari bug
        sourceComponent = sourceComponent.parentNode;
    }
	var objAction = {name: 'Action', option: 'Action', value: 'saveAPD_'+curSect+curPage+'.do'};
    var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent};
    var objSourceGroup = {name: 'SourceGroup', option: 'PageGroup', value: curSect+'Sect'+curPage};
    var objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_Saving'};
    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};

    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);
	if (targetSect == 'Main') {   //page change within Main
 			objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_Main'};
			objAction = {name: 'Action', option: 'Action', value: 'loadAPD_'+targetSect+targetPage+'.do'};  //load the section of the sub-form
	}
	else {  //page change between sub-forms (or to/from Main)
		if (curSect != targetSect) { //change sub-forms on main nav bar
			objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_Main'};
			objAction = {name: 'Action', option: 'Action', value: 'loadAPD_'+targetSect+'.do'};  //call the "main" page of the sub-form
		}
		else {  //page change within a sub-form (or in Main)
			objTargetGroup = {name: 'TargetGroup', option: 'PageGroup', value: 'ppg_'+curSect};
			objAction = {name: 'Action', option: 'Action', value: 'loadAPD_'+targetSect+targetPage+'.do'};  //load the section of the sub-form
		}
	}

    hyf.FMAction.handleAjaxSubmission(objAction, objSourceGroup, objTargetGroup, objValidate, objEventSource);

	setCurrPage(targetSect, targetPage);
	hyf.util.hideComponent(document.getElementById('ppg_Saving'));
}

function validatePage(section, page)
{
	return 1.0
}


//function to update nav bar color and nav pane pct complete after each page update
function adjustNavBar(section, pageNum, pctComp)
{
	if (section == 'Main') {
		switch(pageNum)
{
			case 1:
				document.getElementById('bondPct').innerHTML = parseFloat(pctComp)*100 + ' %';
				break;
			case 2:
				document.getElementById('pwdPct').innerHTML = parseFloat(pctComp)*100 + ' %';
				break;
			case 3:
				document.getElementById('certPct').innerHTML = parseFloat(pctComp)*100 + ' %';
				break;
			case 4:
				document.getElementById('payPct').innerHTML = parseFloat(pctComp)*100 + ' %';
				break;
		}
		return;
	}

	//update the section of the nav bar with appropriate color
	setNavColor(pageNum, pctComp);
	//save pct to process var
	var pvObj = document.getElementById(section+pageNum+'Pct');
	pvObj.value = pctComp;


	//compute overall % for entire section and post to nav pane
	var sectComplete = 0.0;
	var sectPct = '';
	switch(section)
	{
		case 'App':
			for (i=1; i<4; i++)
			{
				navObj = document.getElementById('grpNav'+i);
				if(dojo.hasClass(navObj, 'navbarStarted'))
					sectComplete += .5;
				else 
					if (dojo.hasClass(navObj, 'navbarComplete'))
						sectComplete += 1.0;
                        }
			sectPct = parseInt((sectComplete/3.0)*100) + ' %';
			document.getElementById('appPct').innerHTML = sectPct;
			break;
		case 'DP':
			break;
		case 'SUPO':
			break;
	}
}

//function to set nav bar color based on pct complete for page
function setNavColor(pageNum, pctComp)
{
	var navObj = document.getElementById('grpNav'+pageNum);
	dojo.removeClass(navObj, 'navbarNotStarted');
	dojo.removeClass(navObj, 'navbarStarted');
	dojo.removeClass(navObj, 'navbarComplete');
	if (pctComp >= 1.0)
		dojo.addClass(navObj, 'navbarComplete');
	else
		if (pctComp <= 0.0)
			dojo.addClass(navObj, 'navbarNotStarted');
		else
			dojo.addClass(navObj, 'navbarStarted');
}


//function to initialize nav bar colors based on 
//process vars holding pct complete for each page
function setCompletionStatus(section)
{
	var pages;
	var pct;
	switch(section)
	{
		case 'App':
			pages = 3;
			break;
		case 'DP':
			pages = 8;
			break;
		case 'SUPO':
			pages = 12;
			break;
	}
	for(i=1; i<=pages; i++)
	{
		pct = document.getElementById(section+i+'Pct').value;
		setNavColor(i, pct);
	}
}